Skip to main content
Back to API List To fetch the intent recognition result and scores from NLP and ML engines.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/v1.1/rest/bot/{{BotID}}/findIntent?fetchConfiguredTasks=false
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Intent and Entity Detection; Admin Console: Intent Identification > Intent and Entity Detection

Path Parameters

ParameterRequiredDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai.
BotIDRequiredBot ID or Stream ID. Access it from the General Settings page of the bot.

Bot Language

For multilingual bots, pass the bot-language header with the language code (for example, en, zh_cn). If omitted, the bot’s default language is used.
bot-language: {{lang-code}}

Query Parameters

ParameterRequiredDefaultDescription
fetchConfiguredTasksRequiredfalsetrue to fetch intents from configured tasks; false for published tasks only.
syncOptionalfalseSet to true for synchronous response.

Sample Request

curl -X POST \
  'https://{{host}}/api/v1.1/rest/bot/{{BotID}}/findIntent?fetchConfiguredTasks=false' \
  -H "Content-Type:application/json" \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H "bot-language:{{lang-code}}" \
  -d '{
     "parentIntent": "{{parent intent}}",
     "input": "{{user utterance}}",
     "streamName": "{{bot name}}"
   }'

Body Parameters

ParameterRequiredDescription
parentIntentOptionalTo detect a sub-intent in the context of another intent.
inputRequiredThe user utterance to match against intents. For example: Create a task.
streamNameRequiredThe name of the bot. For example: JIRA Bot.
bot-languageOptionalThe bot language, for example en for English, de for German.

Sample Response

{
    "request": {
        "input": "book a ticket",
        "streamName": "Public APIs"
    },
    "response": {
        "usedtime": 313,
        "debugTitle": "Intent Match Successful: 'Book a ticket'",
        "result": "successintent",
        "bot": "Public APIs",
        "botid": "st-6ecb5ba2-5e31-xxxx-xxxx-8cbee40f3fdb",
        "task": "Book a ticket",
        "taskId": "dg-18219164-c11c-xxxx-xxxx-d2e632ec3646",
        "intentStatus": "published",
        "subType": "dialog",
        "input": ["book a ticket"],
        "identifiedVia": "cs em",
        "language": "en",
        "finalResolver": {
            "winningIntent": [
                {
                    "intent": "Book a ticket",
                    "taskId": "dg-18219164-c11c-xxxx-xxxx-d2e632ec3646",
                    "activityType": "dialog",
                    "state": "published",
                    "score": 11643.33
                }
            ],
            "entities": []
        }
    },
    "streamId": "st-6ecb5ba2-xxxx-xxxx-b918-8cbee40f3fdb",
    "streamName": "Public APIs"
}